#!/usr/bin/env ruby

# 1834, Sun  9 Aug 09 (NZST)
#
# extconf.rb:  Build Makefile for UTmonitor Ruby bundle
#
# iatmon/owtmon: One-Way Traffic Monitor testbed
# Copyright (C) 2009-2011 by Nevil Brownlee, U Auckland | CAIDA | WAND
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

require 'mkmf'

have_library("trace")
have_library("pthread")
have_library("m")
have_library("c")
have_library("crypt")

dir_config('', '/usr/local')

create_makefile("OWTmonitor")

if File.exists?('IPprefix.so.owt')
  `cp IPprefix.so.owt IPprefix.so`
end
have_library("crypt")

dir_config('', '/usr/local')

create_makefile("OWTmonitor")

if File.exists?('IPprefix.so.owt')
  `cp IPprefix.so.owt IPprefix.so`
end
