#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

void termination_handler (int signum) {
   printf("Signal %d\n", signum);  fflush(stdout);
   if (signum == SIGINT) {
      printf("^C pressed\n");  fflush(stdout);
      }
   exit(99);
   }
     
int main(int argc, char *argv[]) {
   struct sigaction new_action, old_action;
     
   /* Set up the structure to specify the new action. */
   new_action.sa_handler = termination_handler;
   sigemptyset(&new_action.sa_mask);
   new_action.sa_flags = 0;
     
   sigaction (SIGINT, NULL, &old_action);
   if (old_action.sa_handler != SIG_IGN)
      sigaction (SIGINT, &new_action, NULL);

   for (;;) {
      sleep(1);
      printf(".");  fflush(stdout);
      }

    /*
   sigaction (SIGHUP, NULL, &old_action);

   if (old_action.sa_handler != SIG_IGN)
      sigaction (SIGHUP, &new_action, NULL);
   sigaction (SIGTERM, NULL, &old_action);
   if (old_action.sa_handler != SIG_IGN)
      sigaction (SIGTERM, &new_action, NULL);
    */

   }
